diff --git a/changelog b/changelog
index e59e5d6..639193c 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20130701 tpd src/axiom-website/patches.html 20130701.01.tpd.patch
+20130701 tpd src/interp/Makefile make cleanup
 20130630 tpd src/axiom-website/patches.html 20130630.01.tpd.patch
 20130630 tpd src/interp/Makefile make cleanup
 20130630 tpd src/algebra/Makefile make cleanup
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 95f1861..677711e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4224,6 +4224,8 @@ Makefiles cleanup
 books/bookvol5 move code from br-con.lisp
 <a href="patches/20130630.01.tpd.patch">20130630.01.tpd.patch</a>
 src/interp/Makefile make cleanup
+<a href="patches/20130710.01.tpd.patch">20130710.01.tpd.patch</a>
+src/interp/Makefile make cleanup
  </body>
 </html>
 
diff --git a/src/interp/Makefile.pamphlet b/src/interp/Makefile.pamphlet
index cd079ae..1cf2855 100644
--- a/src/interp/Makefile.pamphlet
+++ b/src/interp/Makefile.pamphlet
@@ -716,2181 +716,29 @@ ${DEBUGSYS}: ${MID}/debugsys.lisp
 
 \section{The Interpreter files}
 
-\subsection{cfuns.lisp \cite{10}}
-<<cfuns.o (OUT from MID)>>=
-${OUT}/cfuns.${O}: ${MID}/cfuns.lisp
-	@ echo si009 making ${OUT}/cfuns.${O} from ${MID}/cfuns.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/cfuns.lisp"' \
-              ':output-file "${OUT}/cfuns.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/cfuns.lisp"' \
-              ':output-file "${OUT}/cfuns.${O}") (${BYE}))' | ${DEPSYS} \
-              >${TMP}/trace ; \
-	  fi )
-
-@
-<<cfuns.lisp (MID from IN)>>=
-${MID}/cfuns.lisp: ${IN}/cfuns.lisp.pamphlet
-	@ echo si010 making ${MID}/cfuns.lisp from ${IN}/cfuns.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/cfuns.lisp.pamphlet" "*" "cfuns.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{debugsys.lisp \cite{14}}
-The {\bf debugsys.lisp} file is used to create a {\bf debugsys} runnable image.
-This image contains almost all of the lisp code that make up the axiom
-interpreter in lisp form. It is useful for deep system debugging but
-otherwise worthless. This file is certain to drift over time as changes
-are made elsewhere to add or remove files. It is assumed that you know
-what you are doing if you change this file or use debugsys.
-
-This file is basically the same as the one created during the build of
-interpsys. See the echo lines in the {\bf SAVESYS} block above. These
-are echoed into a temporary file which gets loaded into the lisp image.
-We simply captured that temporary file, replaced the .o files with .lisp
-files (or .lsp or .clisp) and saved it here.
-<<debugsys.lisp (MID from IN)>>=
-${MID}/debugsys.lisp: ${IN}/debugsys.lisp.pamphlet
-	@ echo si011 making ${MID}/debugsys.lisp from ${IN}/debugsys.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/debugsys.lisp.pamphlet" "*" "debugsys.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{fortcall.lisp}
-<<fortcall.o (OUT from MID)>>=
-${OUT}/fortcall.${O}: ${MID}/fortcall.lisp
-	@ echo si012 making ${OUT}/fortcall.${O} from ${MID}/fortcall.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/fortcall.lisp"' \
-             ':output-file "${OUT}/fortcall.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/fortcall.lisp"' \
-             ':output-file "${OUT}/fortcall.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
-	  fi )
-
-@
-<<fortcall.lisp (MID from IN)>>=
-${MID}/fortcall.lisp: ${IN}/fortcall.lisp.pamphlet
-	@ echo si013 making ${MID}/fortcall.lisp from \
-           ${IN}/fortcall.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/fortcall.lisp.pamphlet" "*" "fortcall.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-\subsection{hypertex.lisp}
-<<hypertex.o (OUT from MID)>>=
-${OUT}/hypertex.${O}: ${MID}/hypertex.lisp
-	@ echo si014 making ${OUT}/hypertex.${O} from ${MID}/hypertex.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/hypertex.lisp"' \
-             ':output-file "${OUT}/hypertex.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/hypertex.lisp"' \
-             ':output-file "${OUT}/hypertex.${O}") (${BYE}))' | ${DEPSYS} \
-             >${TMP}/trace ; \
-	  fi )
-
-@
-<<hypertex.lisp (MID from IN)>>=
-${MID}/hypertex.lisp: ${IN}/hypertex.lisp.pamphlet
-	@ echo si015 making ${MID}/hypertex.lisp from \
-           ${IN}/hypertex.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/hypertex.lisp.pamphlet" "*" "hypertex.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nocompil.lisp \cite{27}}
-<<nocompil.lisp (OUT from MID)>>=
-${OUT}/nocompil.${LISP}: ${MID}/nocompil.lisp 
-	@ echo si016 making ${OUT}/nocompil.${LISP} from ${MID}/nocompil.lisp
-	@ cp ${MID}/nocompil.lisp ${OUT}/nocompil.${LISP}
-
-@
-<<nocompil.lisp (MID from IN)>>=
-${MID}/nocompil.lisp: ${IN}/nocompil.lisp.pamphlet
-	@ echo si017 making ${MID}/nocompil.lisp from ${IN}/nocompil.lisp.pamphlet
-	@ ( cd ${MID} ; \
-          echo '(tangle "${IN}/nocompil.lisp.pamphlet" "*" "nocompil.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{parsing.lisp \cite{29}}
-<<parsing.o (AUTO from OUT)>>=
-${AUTO}/parsing.${O}: ${OUT}/parsing.${O}
-	@ echo si018 making ${AUTO}/parsing.${O} from ${OUT}/parsing.${O}
-	@ cp ${OUT}/parsing.${O} ${AUTO}
-
-@
-<<parsing.o (OUT from MID)>>=
-${OUT}/parsing.${O}: ${MID}/parsing.lisp 
-	@ echo si019 making ${OUT}/parsing.${O} from ${MID}/parsing.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/parsing.lisp"' \
-             ':output-file "${OUT}/parsing.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/parsing.lisp"' \
-             ':output-file "${OUT}/parsing.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-	  
-@
-<<parsing.lisp (OUT from MID)>>=
-${OUT}/parsing.${LISP}: ${MID}/parsing.lisp
-	@ echo si020 making ${OUT}/parsing.${LISP} from ${MID}/parsing.lisp
-	@cp ${MID}/parsing.lisp ${OUT}/parsing.${LISP}
-
-@
-<<parsing.lisp (MID from IN)>>=
-${MID}/parsing.lisp: ${IN}/parsing.lisp.pamphlet
-	@ echo si021 making ${MID}/parsing.lisp from ${IN}/parsing.lisp.pamphlet
-	@ ( cd ${MID} ; \
-          echo '(tangle "${IN}/parsing.lisp.pamphlet" "*" "parsing.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-	  
-@
-
-\subsection{patches.lisp \cite{5}}
-<<patches.o (OUT from MID)>>=
-${OUT}/patches.${O}: ${MID}/patches.lisp
-	@ echo si022 making ${OUT}/patches.${O} from ${MID}/patches.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/patches.lisp"' \
-             ':output-file "${OUT}/patches.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/patches.lisp"' \
-             ':output-file "${OUT}/patches.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<patches.lisp (MID from IN)>>=
-${MID}/patches.lisp: ${IN}/patches.lisp.pamphlet
-	@ echo si023 making ${MID}/patches.lisp from ${IN}/patches.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/patches.lisp.pamphlet" "*" "patches.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{sockio.lisp \cite{33}}
-<<sockio.o (OUT from MID)>>=
-${OUT}/sockio.${O}: ${MID}/sockio.lisp
-	@ echo si024 making ${OUT}/sockio.${O} from ${MID}/sockio.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/sockio.lisp"' \
-             ':output-file "${OUT}/sockio.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/sockio.lisp"' \
-             ':output-file "${OUT}/sockio.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<sockio.lisp (MID from IN)>>=
-${MID}/sockio.lisp: ${IN}/sockio.lisp.pamphlet
-	@ echo si025 making ${MID}/sockio.lisp from ${IN}/sockio.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/sockio.lisp.pamphlet" "*" "sockio.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{sys-pkg.lisp \cite{36}}
-<<sys-pkg.lisp (OUT from MID)>>=
-${OUT}/sys-pkg.${LISP}: ${MID}/sys-pkg.lisp 
-	@ echo si026 making ${OUT}/sys-pkg.${LISP} from ${MID}/sys-pkg.lisp
-	@ cp ${MID}/sys-pkg.lisp ${OUT}/sys-pkg.${LISP}
-
-@
-<<sys-pkg.lisp (MID from IN)>>=
-${MID}/sys-pkg.lisp: ${IN}/sys-pkg.lisp.pamphlet
-	@ echo si027 making ${MID}/sys-pkg.lisp from ${IN}/sys-pkg.lisp.pamphlet
-	@ ( cd ${MID} ; \
-          echo '(tangle "${IN}/sys-pkg.lisp.pamphlet" "*" "sys-pkg.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp 1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{util.lisp \cite{38}}
-<<util.o (OUT from MID)>>=
-${OUT}/util.${O}: ${MID}/util.lisp
-	@ echo si028 making ${OUT}/util.${O} from ${MID}/util.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/util.lisp"' \
-             ':output-file "${OUT}/util.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/util.lisp"' \
-             ':output-file "${OUT}/util.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<util.lisp (OUT from MID)>>=
-${OUT}/util.${LISP}: ${MID}/util.lisp
-	@ echo si029 making ${OUT}/util.${LISP} from ${MID}/util.lisp
-	@cp ${MID}/util.lisp ${OUT}/util.${LISP}
-
-@
-<<util.lisp (MID from IN)>>=
-${MID}/util.lisp: ${IN}/util.lisp.pamphlet
-	@ echo si030 making ${MID}/util.lisp from ${IN}/util.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/util.lisp.pamphlet" "*" "util.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp 1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{vmlisp.lisp \cite{39}}
-<<vmlisp.o (OUT from MID)>>=
-${OUT}/vmlisp.${O}: ${MID}/vmlisp.lisp
-	@ echo si031 making ${OUT}/vmlisp.${O} from ${MID}/vmlisp.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/vmlisp.lisp"' \
-             ':output-file "${OUT}/vmlisp.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/vmlisp.lisp"' \
-             ':output-file "${OUT}/vmlisp.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<vmlisp.lisp (MID from IN)>>=
-${MID}/vmlisp.lisp: ${IN}/vmlisp.lisp.pamphlet
-	@ echo si032 making ${MID}/vmlisp.lisp from ${IN}/vmlisp.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/vmlisp.lisp.pamphlet" "*" "vmlisp.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp 1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{buildom.lisp}
-<<buildom.o (OUT from MID)>>=
-${OUT}/buildom.${O}: ${MID}/buildom.lisp
-	@ echo si033 making ${OUT}/buildom.${O} from ${MID}/buildom.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/buildom.lisp"' \
-             ':output-file "${OUT}/buildom.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/buildom.lisp"' \
-             ':output-file "${OUT}/buildom.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<buildom.lisp (MID from IN)>>=
-${MID}/buildom.lisp: ${IN}/buildom.lisp.pamphlet
-	@ echo si034 making ${MID}/buildom.lisp from ${IN}/buildom.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/buildom.lisp.pamphlet" "*" "buildom.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp 1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{c-util.lisp}
-<<c-util.o (OUT from MID)>>=
-${OUT}/c-util.${O}: ${MID}/c-util.lisp
-	@ echo si035 making ${OUT}/c-util.${O} from ${MID}/c-util.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/c-util.lisp"' \
-             ':output-file "${OUT}/c-util.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/c-util.lisp"' \
-             ':output-file "${OUT}/c-util.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<c-util.lisp (MID from IN)>>=
-${MID}/c-util.lisp: ${IN}/c-util.lisp.pamphlet
-	@ echo si036 making ${MID}/c-util.lisp from ${IN}/c-util.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/c-util.lisp.pamphlet" "*" "c-util.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp 1>/dev/null 2>/dev/null)
-
-@
-<<c-util.lisp (OUT from IN)>>=
-${OUT}/c-util.lisp: ${IN}/c-util.lisp.pamphlet
-	@ echo si037 making ${OUT}/c-util.lisp from ${IN}/c-util.lisp.pamphlet
-	@ rm -f ${OUT}/c-util.${O}
-	@( cd ${OUT} ; \
-          echo '(tangle "${IN}/c-util.lisp.pamphlet" "*" "c-util.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp 1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nag-c02.lisp}
-<<nag-c02.o (AUTO from OUT)>>=
-${AUTO}/nag-c02.${O}: ${OUT}/nag-c02.${O}
-	@ echo si038 making ${AUTO}/nag-c02.${O} from ${OUT}/nag-c02.${O}
-	@ cp ${OUT}/nag-c02.${O} ${AUTO}
-
-@
-<<nag-c02.o (OUT from MID)>>=
-${OUT}/nag-c02.${O}: ${MID}/nag-c02.lisp
-	@ echo si039 making ${OUT}/nag-c02.${O} from ${MID}/nag-c02.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/nag-c02.lisp"' \
-             ':output-file "${OUT}/nag-c02.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/nag-c02.lisp"' \
-             ':output-file "${OUT}/nag-c02.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<nag-c02.lisp (MID from IN)>>=
-${MID}/nag-c02.lisp: ${IN}/nag-c02.lisp.pamphlet
-	@ echo si040 making ${MID}/nag-c02.lisp from ${IN}/nag-c02.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/nag-c02.lisp.pamphlet" "*" "nag-c02.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp 1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nag-c05.lisp}
-<<nag-c05.o (AUTO from OUT)>>=
-${AUTO}/nag-c05.${O}: ${OUT}/nag-c05.${O}
-	@ echo si041 making ${AUTO}/nag-c05.${O} from ${OUT}/nag-c05.${O}
-	@ cp ${OUT}/nag-c05.${O} ${AUTO}
-
-@
-<<nag-c05.o (OUT from MID)>>=
-${OUT}/nag-c05.${O}: ${MID}/nag-c05.lisp
-	@ echo si042 making ${OUT}/nag-c05.${O} from ${MID}/nag-c05.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/nag-c05.lisp"' \
-             ':output-file "${OUT}/nag-c05.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/nag-c05.lisp"' \
-             ':output-file "${OUT}/nag-c05.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<nag-c05.lisp (MID from IN)>>=
-${MID}/nag-c05.lisp: ${IN}/nag-c05.lisp.pamphlet
-	@ echo si043 making ${MID}/nag-c05.lisp from ${IN}/nag-c05.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/nag-c05.lisp.pamphlet" "*" "nag-c05.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nag-c06.lisp}
-<<nag-c06.o (AUTO from OUT)>>=
-${AUTO}/nag-c06.${O}: ${OUT}/nag-c06.${O}
-	@ echo si044 making ${AUTO}/nag-c06.${O} from ${OUT}/nag-c06.${O}
-	@ cp ${OUT}/nag-c06.${O} ${AUTO}
-
-@
-<<nag-c06.o (OUT from MID)>>=
-${OUT}/nag-c06.${O}: ${MID}/nag-c06.lisp
-	@ echo si045 making ${OUT}/nag-c06.${O} from ${MID}/nag-c06.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/nag-c06.lisp"' \
-             ':output-file "${OUT}/nag-c06.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/nag-c06.lisp"' \
-             ':output-file "${OUT}/nag-c06.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<nag-c06.lisp (MID from IN)>>=
-${MID}/nag-c06.lisp: ${IN}/nag-c06.lisp.pamphlet
-	@ echo si046 making ${MID}/nag-c06.lisp from ${IN}/nag-c06.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/nag-c06.lisp.pamphlet" "*" "nag-c06.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nag-d01.lisp}
-<<nag-d01.o (AUTO from OUT)>>=
-${AUTO}/nag-d01.${O}: ${OUT}/nag-d01.${O}
-	@ echo si047 making ${AUTO}/nag-d01.${O} from ${OUT}/nag-d01.${O}
-	@ cp ${OUT}/nag-d01.${O} ${AUTO}
-
-@
-<<nag-d01.o (OUT from MID)>>=
-${OUT}/nag-d01.${O}: ${MID}/nag-d01.lisp
-	@ echo si048 making ${OUT}/nag-d01.${O} from ${MID}/nag-d01.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/nag-d01.lisp"' \
-             ':output-file "${OUT}/nag-d01.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/nag-d01.lisp"' \
-             ':output-file "${OUT}/nag-d01.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<nag-d01.lisp (MID from IN)>>=
-${MID}/nag-d01.lisp: ${IN}/nag-d01.lisp.pamphlet
-	@ echo si049 making ${MID}/nag-d01.lisp from ${IN}/nag-d01.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/nag-d01.lisp.pamphlet" "*" "nag-d01.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nag-d02.lisp}
-<<nag-d02.o (AUTO from OUT)>>=
-${AUTO}/nag-d02.${O}: ${OUT}/nag-d02.${O}
-	@ echo si050 making ${AUTO}/nag-d02.${O} from ${OUT}/nag-d02.${O}
-	@ cp ${OUT}/nag-d02.${O} ${AUTO}
-
-@
-<<nag-d02.o (OUT from MID)>>=
-${OUT}/nag-d02.${O}: ${MID}/nag-d02.lisp
-	@ echo si051 making ${OUT}/nag-d02.${O} from ${MID}/nag-d02.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/nag-d02.lisp"' \
-             ':output-file "${OUT}/nag-d02.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/nag-d02.lisp"' \
-             ':output-file "${OUT}/nag-d02.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<nag-d02.lisp (MID from IN)>>=
-${MID}/nag-d02.lisp: ${IN}/nag-d02.lisp.pamphlet
-	@ echo si052 making ${MID}/nag-d02.lisp from ${IN}/nag-d02.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/nag-d02.lisp.pamphlet" "*" "nag-d02.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nag-d03.lisp}
-<<nag-d03.o (AUTO from OUT)>>=
-${AUTO}/nag-d03.${O}: ${OUT}/nag-d03.${O}
-	@ echo si053 making ${AUTO}/nag-d03.${O} from ${OUT}/nag-d03.${O}
-	@ cp ${OUT}/nag-d03.${O} ${AUTO}
-
-@
-<<nag-d03.o (OUT from MID)>>=
-${OUT}/nag-d03.${O}: ${MID}/nag-d03.lisp
-	@ echo si054 making ${OUT}/nag-d03.${O} from ${MID}/nag-d03.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/nag-d03.lisp"' \
-             ':output-file "${OUT}/nag-d03.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/nag-d03.lisp"' \
-             ':output-file "${OUT}/nag-d03.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<nag-d03.lisp (MID from IN)>>=
-${MID}/nag-d03.lisp: ${IN}/nag-d03.lisp.pamphlet
-	@ echo si055 making ${MID}/nag-d03.lisp from ${IN}/nag-d03.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/nag-d03.lisp.pamphlet" "*" "nag-d03.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nag-e01.lisp}
-<<nag-e01.o (AUTO from OUT)>>=
-${AUTO}/nag-e01.${O}: ${OUT}/nag-e01.${O}
-	@ echo si056 making ${AUTO}/nag-e01.${O} from ${OUT}/nag-e01.${O}
-	@ cp ${OUT}/nag-e01.${O} ${AUTO}
-
-@
-<<nag-e01.o (OUT from MID)>>=
-${OUT}/nag-e01.${O}: ${MID}/nag-e01.lisp
-	@ echo si057 making ${OUT}/nag-e01.${O} from ${MID}/nag-e01.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/nag-e01.lisp"' \
-             ':output-file "${OUT}/nag-e01.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/nag-e01.lisp"' \
-             ':output-file "${OUT}/nag-e01.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<nag-e01.lisp (MID from IN)>>=
-${MID}/nag-e01.lisp: ${IN}/nag-e01.lisp.pamphlet
-	@ echo si058 making ${MID}/nag-e01.lisp from ${IN}/nag-e01.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/nag-e01.lisp.pamphlet" "*" "nag-e01.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nag-e02.lisp}
-<<nag-e02.o (AUTO from OUT)>>=
-${AUTO}/nag-e02.${O}: ${OUT}/nag-e02.${O}
-	@ echo si059 making ${AUTO}/nag-e02.${O} from ${OUT}/nag-e02.${O}
-	@ cp ${OUT}/nag-e02.${O} ${AUTO}
-
-@
-<<nag-e02.o (OUT from MID)>>=
-${OUT}/nag-e02.${O}: ${MID}/nag-e02.lisp
-	@ echo si060 making ${OUT}/nag-e02.${O} from ${MID}/nag-e02.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/nag-e02.lisp"' \
-             ':output-file "${OUT}/nag-e02.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/nag-e02.lisp"' \
-             ':output-file "${OUT}/nag-e02.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<nag-e02.lisp (MID from IN)>>=
-${MID}/nag-e02.lisp: ${IN}/nag-e02.lisp.pamphlet
-	@ echo si061 making ${MID}/nag-e02.lisp from ${IN}/nag-e02.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/nag-e02.lisp.pamphlet" "*" "nag-e02.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nag-e04.lisp}
-<<nag-e04.o (AUTO from OUT)>>=
-${AUTO}/nag-e04.${O}: ${OUT}/nag-e04.${O}
-	@ echo si062 making ${AUTO}/nag-e04.${O} from ${OUT}/nag-e04.${O}
-	@ cp ${OUT}/nag-e04.${O} ${AUTO}
-
-@
-<<nag-e04.o (OUT from MID)>>=
-${OUT}/nag-e04.${O}: ${MID}/nag-e04.lisp
-	@ echo si063 making ${OUT}/nag-e04.${O} from ${MID}/nag-e04.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/nag-e04.lisp"' \
-             ':output-file "${OUT}/nag-e04.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/nag-e04.lisp"' \
-             ':output-file "${OUT}/nag-e04.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<nag-e04.lisp (MID from IN)>>=
-${MID}/nag-e04.lisp: ${IN}/nag-e04.lisp.pamphlet
-	@ echo si064 making ${MID}/nag-e04.lisp from ${IN}/nag-e04.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/nag-e04.lisp.pamphlet" "*" "nag-e04.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nag-f01.lisp}
-<<nag-f01.o (AUTO from OUT)>>=
-${AUTO}/nag-f01.${O}: ${OUT}/nag-f01.${O}
-	@ echo si065 making ${AUTO}/nag-f01.${O} from ${OUT}/nag-f01.${O}
-	@ cp ${OUT}/nag-f01.${O} ${AUTO}
-
-@
-<<nag-f01.o (OUT from MID)>>=
-${OUT}/nag-f01.${O}: ${MID}/nag-f01.lisp
-	@ echo si066 making ${OUT}/nag-f01.${O} from ${MID}/nag-f01.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/nag-f01.lisp"' \
-             ':output-file "${OUT}/nag-f01.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/nag-f01.lisp"' \
-             ':output-file "${OUT}/nag-f01.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<nag-f01.lisp (MID from IN)>>=
-${MID}/nag-f01.lisp: ${IN}/nag-f01.lisp.pamphlet
-	@ echo si067 making ${MID}/nag-f01.lisp from ${IN}/nag-f01.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/nag-f01.lisp.pamphlet" "*" "nag-f01.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nag-f02.lisp}
-<<nag-f02.o (AUTO from OUT)>>=
-${AUTO}/nag-f02.${O}: ${OUT}/nag-f02.${O}
-	@ echo si068 making ${AUTO}/nag-f02.${O} from ${OUT}/nag-f02.${O}
-	@ cp ${OUT}/nag-f02.${O} ${AUTO}
-
-@
-<<nag-f02.o (OUT from MID)>>=
-${OUT}/nag-f02.${O}: ${MID}/nag-f02.lisp
-	@ echo si069 making ${OUT}/nag-f02.${O} from ${MID}/nag-f02.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/nag-f02.lisp"' \
-             ':output-file "${OUT}/nag-f02.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/nag-f02.lisp"' \
-             ':output-file "${OUT}/nag-f02.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<nag-f02.lisp (MID from IN)>>=
-${MID}/nag-f02.lisp: ${IN}/nag-f02.lisp.pamphlet
-	@ echo si070 making ${MID}/nag-f02.lisp from ${IN}/nag-f02.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/nag-f02.lisp.pamphlet" "*" "nag-f02.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nag-f04.lisp}
-<<nag-f04.o (AUTO from OUT)>>=
-${AUTO}/nag-f04.${O}: ${OUT}/nag-f04.${O}
-	@ echo si071 making ${AUTO}/nag-f04.${O} from ${OUT}/nag-f04.${O}
-	@ cp ${OUT}/nag-f04.${O} ${AUTO}
-
-@
-<<nag-f04.o (OUT from MID)>>=
-${OUT}/nag-f04.${O}: ${MID}/nag-f04.lisp
-	@ echo si072 making ${OUT}/nag-f04.${O} from ${MID}/nag-f04.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/nag-f04.lisp"' \
-             ':output-file "${OUT}/nag-f04.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/nag-f04.lisp"' \
-             ':output-file "${OUT}/nag-f04.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<nag-f04.lisp (MID from IN)>>=
-${MID}/nag-f04.lisp: ${IN}/nag-f04.lisp.pamphlet
-	@ echo si073 making ${MID}/nag-f04.lisp from ${IN}/nag-f04.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/nag-f04.lisp.pamphlet" "*" "nag-f04.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nag-f07.lisp}
-<<nag-f07.o (AUTO from OUT)>>=
-${AUTO}/nag-f07.${O}: ${OUT}/nag-f07.${O}
-	@ echo si074 making ${AUTO}/nag-f07.${O} from ${OUT}/nag-f07.${O}
-	@ cp ${OUT}/nag-f07.${O} ${AUTO}
-
-@
-<<nag-f07.o (OUT from MID)>>=
-${OUT}/nag-f07.${O}: ${MID}/nag-f07.lisp
-	@ echo si075 making ${OUT}/nag-f07.${O} from ${MID}/nag-f07.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/nag-f07.lisp"' \
-             ':output-file "${OUT}/nag-f07.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/nag-f07.lisp"' \
-             ':output-file "${OUT}/nag-f07.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<nag-f07.lisp (MID from IN)>>=
-${MID}/nag-f07.lisp: ${IN}/nag-f07.lisp.pamphlet
-	@ echo si076 making ${MID}/nag-f07.lisp from ${IN}/nag-f07.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/nag-f07.lisp.pamphlet" "*" "nag-f07.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nag-s.lisp}
-<<nag-s.o (AUTO from OUT)>>=
-${AUTO}/nag-s.${O}: ${OUT}/nag-s.${O}
-	@ echo si077 making ${AUTO}/nag-s.${O} from ${OUT}/nag-s.${O}
-	@ cp ${OUT}/nag-s.${O} ${AUTO}
-
-@
-<<nag-s.o (OUT from MID)>>=
-${OUT}/nag-s.${O}: ${MID}/nag-s.lisp
-	@ echo si078 making ${OUT}/nag-s.${O} from ${MID}/nag-s.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/nag-s.lisp"' \
-             ':output-file "${OUT}/nag-s.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/nag-s.lisp"' \
-             ':output-file "${OUT}/nag-s.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<nag-s.lisp (MID from IN)>>=
-${MID}/nag-s.lisp: ${IN}/nag-s.lisp.pamphlet
-	@ echo si079 making ${MID}/nag-s.lisp from ${IN}/nag-s.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/nag-s.lisp.pamphlet" "*" "nag-s.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{category.lisp}
-<<category.o (OUT from MID)>>=
-${OUT}/category.${O}: ${MID}/category.lisp
-	@ echo si080 making ${OUT}/category.${O} from ${MID}/category.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/category.lisp"' \
-             ':output-file "${OUT}/category.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/category.lisp"' \
-             ':output-file "${OUT}/category.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<category.lisp (MID from IN)>>=
-${MID}/category.lisp: ${IN}/category.lisp.pamphlet
-	@ echo si081 making ${MID}/category.lisp from \
-           ${IN}/category.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/category.lisp.pamphlet" "*" "category.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{cattable.lisp}
-<<cattable.o (OUT from MID)>>=
-${OUT}/cattable.${O}: ${MID}/cattable.lisp
-	@ echo si082 making ${OUT}/cattable.${O} from ${MID}/cattable.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/cattable.lisp"' \
-             ':output-file "${OUT}/cattable.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/cattable.lisp"' \
-             ':output-file "${OUT}/cattable.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<cattable.lisp (MID from IN)>>=
-${MID}/cattable.lisp: ${IN}/cattable.lisp.pamphlet
-	@ echo si083 making ${MID}/cattable.lisp from \
-                   ${IN}/cattable.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/cattable.lisp.pamphlet" "*" "cattable.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{clam.lisp}
-<<clam.o (OUT from MID)>>=
-${OUT}/clam.${O}: ${MID}/clam.lisp
-	@ echo si084 making ${OUT}/clam.${O} from ${MID}/clam.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/clam.lisp"' \
-             ':output-file "${OUT}/clam.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/clam.lisp"' \
-             ':output-file "${OUT}/clam.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<clam.lisp (MID from IN)>>=
-${MID}/clam.lisp: ${IN}/clam.lisp.pamphlet
-	@ echo si085 making ${MID}/clam.lisp from ${IN}/clam.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/clam.lisp.pamphlet" "*" "clam.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-<<clam.lisp (OUT from IN)>>=
-${OUT}/clam.lisp: ${IN}/clam.lisp.pamphlet
-	@ echo si086 making ${OUT}/clam.lisp from ${IN}/clam.lisp.pamphlet
-	@ rm -f ${OUT}/clam.${O}
-	@( cd ${OUT} ; \
-          echo '(tangle "${IN}/clam.lisp.pamphlet" "*" "clam.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{clammed.lisp}
-<<clammed.o (OUT from MID)>>=
-${OUT}/clammed.${O}: ${MID}/clammed.lisp
-	@ echo si087 making ${OUT}/clammed.${O} from ${MID}/clammed.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/clammed.lisp"' \
-             ':output-file "${OUT}/clammed.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/clammed.lisp"' \
-             ':output-file "${OUT}/clammed.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<clammed.lisp (MID from IN)>>=
-${MID}/clammed.lisp: ${IN}/clammed.lisp.pamphlet
-	@ echo si088 making ${MID}/clammed.lisp from ${IN}/clammed.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/clammed.lisp.pamphlet" "*" "clammed.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{profile.lisp}
-<<profile.o (OUT from MID)>>=
-${OUT}/profile.${O}: ${MID}/profile.lisp
-	@ echo si089 making ${OUT}/profile.${O} from ${MID}/profile.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/profile.lisp"' \
-             ':output-file "${OUT}/profile.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/profile.lisp"' \
-             ':output-file "${OUT}/profile.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<profile.lisp (MID from IN)>>=
-${MID}/profile.lisp: ${IN}/profile.lisp.pamphlet
-	@ echo si090 making ${MID}/profile.lisp from ${IN}/profile.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/profile.lisp.pamphlet" "*" "profile.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{compress.lisp}
-<<compress.o (OUT from MID)>>=
-${OUT}/compress.${O}: ${MID}/compress.lisp
-	@ echo si091 making ${OUT}/compress.${O} from ${MID}/compress.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/compress.lisp"' \
-             ':output-file "${OUT}/compress.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/compress.lisp"' \
-             ':output-file "${OUT}/compress.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<compress.lisp (MID from IN)>>=
-${MID}/compress.lisp: ${IN}/compress.lisp.pamphlet
-	@ echo si092 making ${MID}/compress.lisp from \
-                   ${IN}/compress.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/compress.lisp.pamphlet" "*" "compress.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{format.lisp}
-<<format.o (OUT from MID)>>=
-${OUT}/format.${O}: ${MID}/format.lisp
-	@ echo si093 making ${OUT}/format.${O} from ${MID}/format.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/format.lisp"' \
-             ':output-file "${OUT}/format.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/format.lisp"' \
-             ':output-file "${OUT}/format.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<format.lisp (MID from IN)>>=
-${MID}/format.lisp: ${IN}/format.lisp.pamphlet
-	@ echo si094 making ${MID}/format.lisp from ${IN}/format.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/format.lisp.pamphlet" "*" "format.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{functor.lisp}
-<<functor.o (OUT from MID)>>=
-${OUT}/functor.${O}: ${MID}/functor.lisp
-	@ echo si095 making ${OUT}/functor.${O} from ${MID}/functor.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/functor.lisp"' \
-             ':output-file "${OUT}/functor.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/functor.lisp"' \
-             ':output-file "${OUT}/functor.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<functor.lisp (MID from IN)>>=
-${MID}/functor.lisp: ${IN}/functor.lisp.pamphlet
-	@ echo si096 making ${MID}/functor.lisp from ${IN}/functor.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/functor.lisp.pamphlet" "*" "functor.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{g-boot.lisp}
-<<g-boot.o (OUT from MID)>>=
-${OUT}/g-boot.${O}: ${MID}/g-boot.lisp
-	@ echo si097 making ${OUT}/g-boot.${O} from ${MID}/g-boot.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/g-boot.lisp"' \
-             ':output-file "${OUT}/g-boot.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/g-boot.lisp"' \
-             ':output-file "${OUT}/g-boot.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<g-boot.lisp (MID from IN)>>=
-${MID}/g-boot.lisp: ${IN}/g-boot.lisp.pamphlet
-	@ echo si098 making ${MID}/g-boot.lisp from ${IN}/g-boot.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/g-boot.lisp.pamphlet" "*" "g-boot.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-<<g-boot.lisp (OUT from IN)>>=
-${OUT}/g-boot.lisp: ${IN}/g-boot.lisp.pamphlet
-	@ echo si099 making ${OUT}/g-boot.lisp from ${IN}/g-boot.lisp.pamphlet
-	@ rm -f ${OUT}/g-boot.${O}
-	@( cd ${OUT} ; \
-          echo '(tangle "${IN}/g-boot.lisp.pamphlet" "*" "g-boot.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{g-cndata.lisp}
-<<g-cndata.o (OUT from MID)>>=
-${OUT}/g-cndata.${O}: ${MID}/g-cndata.lisp
-	@ echo si100 making ${OUT}/g-cndata.${O} from ${MID}/g-cndata.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/g-cndata.lisp"' \
-             ':output-file "${OUT}/g-cndata.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/g-cndata.lisp"' \
-             ':output-file "${OUT}/g-cndata.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<g-cndata.lisp (MID from IN)>>=
-${MID}/g-cndata.lisp: ${IN}/g-cndata.lisp.pamphlet
-	@ echo si101 making ${MID}/g-cndata.lisp from \
-           ${IN}/g-cndata.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/g-cndata.lisp.pamphlet" "*" "g-cndata.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{g-error.lisp}
-<<g-error.o (OUT from MID)>>=
-${OUT}/g-error.${O}: ${MID}/g-error.lisp
-	@ echo si102 making ${OUT}/g-error.${O} from ${MID}/g-error.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/g-error.lisp"' \
-             ':output-file "${OUT}/g-error.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/g-error.lisp"' \
-             ':output-file "${OUT}/g-error.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<g-error.lisp (MID from IN)>>=
-${MID}/g-error.lisp: ${IN}/g-error.lisp.pamphlet
-	@ echo si103 making ${MID}/g-error.lisp from ${IN}/g-error.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/g-error.lisp.pamphlet" "*" "g-error.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{g-timer.lisp}
-<<g-timer.o (OUT from MID)>>=
-${OUT}/g-timer.${O}: ${MID}/g-timer.lisp
-	@ echo si104 making ${OUT}/g-timer.${O} from ${MID}/g-timer.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/g-timer.lisp"' \
-             ':output-file "${OUT}/g-timer.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/g-timer.lisp"' \
-             ':output-file "${OUT}/g-timer.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<g-timer.lisp (MID from IN)>>=
-${MID}/g-timer.lisp: ${IN}/g-timer.lisp.pamphlet
-	@ echo si105 making ${MID}/g-timer.lisp from ${IN}/g-timer.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/g-timer.lisp.pamphlet" "*" "g-timer.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{g-util.lisp}
-<<g-util.o (OUT from MID)>>=
-${OUT}/g-util.${O}: ${MID}/g-util.lisp
-	@ echo si106 making ${OUT}/g-util.${O} from ${MID}/g-util.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/g-util.lisp"' \
-             ':output-file "${OUT}/g-util.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/g-util.lisp"' \
-             ':output-file "${OUT}/g-util.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<g-util.lisp (MID from IN)>>=
-${MID}/g-util.lisp: ${IN}/g-util.lisp.pamphlet
-	@ echo si107 making ${MID}/g-util.lisp from ${IN}/g-util.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/g-util.lisp.pamphlet" "*" "g-util.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-<<g-util.lisp (OUT from IN)>>=
-${OUT}/g-util.lisp: ${IN}/g-util.lisp.pamphlet
-	@ echo si108 making ${OUT}/g-util.lisp from ${IN}/g-util.lisp.pamphlet
-	@ rm -f ${OUT}/g-util.${O}
-	@( cd ${OUT} ; \
-          echo '(tangle "${IN}/g-util.lisp.pamphlet" "*" "g-util.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{http.lisp}
-<<http.o (OUT from MID)>>=
-${OUT}/http.${O}: ${MID}/http.lisp
-	@ echo si109 making ${OUT}/http.${O} from ${MID}/http.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/http.lisp"' \
-             ':output-file "${OUT}/http.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/http.lisp"' \
-             ':output-file "${OUT}/http.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<http.lisp (MID from IN)>>=
-${MID}/http.lisp: ${IN}/http.lisp
-	@ echo si110 making ${MID}/http.lisp from ${IN}/http.lisp
-	@( cp ${IN}/http.lisp ${MID}/http.lisp )
-
-@
-
-\subsection{i-analy.lisp}
-<<i-analy.o (OUT from MID)>>=
-${OUT}/i-analy.${O}: ${MID}/i-analy.lisp
-	@ echo si111 making ${OUT}/i-analy.${O} from ${MID}/i-analy.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/i-analy.lisp"' \
-             ':output-file "${OUT}/i-analy.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/i-analy.lisp"' \
-             ':output-file "${OUT}/i-analy.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<i-analy.lisp (MID from IN)>>=
-${MID}/i-analy.lisp: ${IN}/i-analy.lisp.pamphlet
-	@ echo si112 making ${MID}/i-analy.lisp from ${IN}/i-analy.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/i-analy.lisp.pamphlet" "*" "i-analy.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{i-code.lisp}
-<<i-code.o (OUT from MID)>>=
-${OUT}/i-code.${O}: ${MID}/i-code.lisp
-	@ echo si113 making ${OUT}/i-code.${O} from ${MID}/i-code.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/i-code.lisp"' \
-             ':output-file "${OUT}/i-code.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/i-code.lisp"' \
-             ':output-file "${OUT}/i-code.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<i-code.lisp (MID from IN)>>=
-${MID}/i-code.lisp: ${IN}/i-code.lisp.pamphlet
-	@ echo si114 making ${MID}/i-code.lisp from ${IN}/i-code.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/i-code.lisp.pamphlet" "*" "i-code.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{i-coerce.lisp}
-<<i-coerce.o (OUT from MID)>>=
-${OUT}/i-coerce.${O}: ${MID}/i-coerce.lisp
-	@ echo si115 making ${OUT}/i-coerce.${O} from ${MID}/i-coerce.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/i-coerce.lisp"' \
-             ':output-file "${OUT}/i-coerce.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/i-coerce.lisp"' \
-             ':output-file "${OUT}/i-coerce.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<i-coerce.lisp (MID from IN)>>=
-${MID}/i-coerce.lisp: ${IN}/i-coerce.lisp.pamphlet
-	@ echo si116 making ${MID}/i-coerce.lisp from \
-          ${IN}/i-coerce.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/i-coerce.lisp.pamphlet" "*" "i-coerce.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{i-coerfn.lisp}
-<<i-coerfn.o (OUT from MID)>>=
-${OUT}/i-coerfn.${O}: ${MID}/i-coerfn.lisp
-	@ echo si117 making ${OUT}/i-coerfn.${O} from ${MID}/i-coerfn.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/i-coerfn.lisp"' \
-             ':output-file "${OUT}/i-coerfn.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/i-coerfn.lisp"' \
-             ':output-file "${OUT}/i-coerfn.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<i-coerfn.lisp (MID from IN)>>=
-${MID}/i-coerfn.lisp: ${IN}/i-coerfn.lisp.pamphlet
-	@ echo si118 making ${MID}/i-coerfn.lisp from \
-          ${IN}/i-coerfn.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/i-coerfn.lisp.pamphlet" "*" "i-coerfn.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{i-eval.lisp}
-<<i-eval.o (OUT from MID)>>=
-${OUT}/i-eval.${O}: ${MID}/i-eval.lisp
-	@ echo si119 making ${OUT}/i-eval.${O} from ${MID}/i-eval.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/i-eval.lisp"' \
-             ':output-file "${OUT}/i-eval.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/i-eval.lisp"' \
-             ':output-file "${OUT}/i-eval.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<i-eval.lisp (MID from IN)>>=
-${MID}/i-eval.lisp: ${IN}/i-eval.lisp.pamphlet
-	@ echo si120 making ${MID}/i-eval.lisp from \
-          ${IN}/i-eval.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/i-eval.lisp.pamphlet" "*" "i-eval.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{i-funsel.lisp}
-<<i-funsel.o (OUT from MID)>>=
-${OUT}/i-funsel.${O}: ${MID}/i-funsel.lisp
-	@ echo si121 making ${OUT}/i-funsel.${O} from ${MID}/i-funsel.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/i-funsel.lisp"' \
-             ':output-file "${OUT}/i-funsel.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/i-funsel.lisp"' \
-             ':output-file "${OUT}/i-funsel.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<i-funsel.lisp (MID from IN)>>=
-${MID}/i-funsel.lisp: ${IN}/i-funsel.lisp.pamphlet
-	@ echo si122 making ${MID}/i-funsel.lisp from \
-          ${IN}/i-funsel.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/i-funsel.lisp.pamphlet" "*" "i-funsel.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{bookvol5.lsp}
-<<bookvol5.o (OUT from MID)>>=
-${OUT}/bookvol5.${O}: ${MID}/bookvol5.${LISP}
-	@ echo si123 making ${OUT}/bookvol5.${O} from ${MID}/bookvol5.${LISP}
-	@ (cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/bookvol5.${LISP}"' \
-             ':output-file "${OUT}/bookvol5.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/bookvol5.${LISP}"' \
-             ':output-file "${OUT}/bookvol5.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<bookvol5.lsp (OUT from MID)>>=
-${OUT}/bookvol5.${LISP}: ${MID}/bookvol5.${LISP}
-	@ echo si124 making ${OUT}/bookvol5.${LISP} from ${MID}/bookvol5.${LISP}
-	@cp ${MID}/bookvol5.${LISP} ${OUT}/bookvol5.${LISP}
-
-@
-<<bookvol5.lsp (MID from IN)>>=
-${MID}/bookvol5.${LISP}: ${IN}/bookvol5.pamphlet
-	@ echo si125 making ${MID}/bookvol5.${LISP} from ${IN}/bookvol5.pamphlet
-	@ (cd ${MID} ; \
-  echo '(tangle "${IN}/bookvol5.pamphlet" "Interpreter" "bookvol5.${LISP}")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-\subsection{bookvol9.lsp}
-<<bookvol9.o (OUT from MID)>>=
-${OUT}/bookvol9.${O}: ${MID}/bookvol9.${LISP}
-	@ echo si126 making ${OUT}/bookvol9.${O} from ${MID}/bookvol9.${LISP}
-	@ (cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/bookvol9.${LISP}"' \
-             ':output-file "${OUT}/bookvol9.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/bookvol9.${LISP}"' \
-             ':output-file "${OUT}/bookvol9.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<bookvol9.lsp (OUT from MID)>>=
-${OUT}/bookvol9.${LISP}: ${MID}/bookvol9.${LISP}
-	@ echo si127 making ${OUT}/bookvol9.${LISP} from ${MID}/bookvol9.${LISP}
-	@cp ${MID}/bookvol9.${LISP} ${OUT}/bookvol9.${LISP}
-
-@
-<<bookvol9.lsp (MID from IN)>>=
-${MID}/bookvol9.${LISP}: ${IN}/bookvol9.pamphlet
-	@ echo si128 making ${MID}/bookvol9.${LISP} from ${IN}/bookvol9.pamphlet
-	@ (cd ${MID} ; \
-     echo '(tangle "${IN}/bookvol9.pamphlet" "Compiler" "bookvol9.${LISP}")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-\subsection{bookvol10.5.lsp}
-<<bookvol10.5.o (OUT from MID)>>=
-${OUT}/bookvol10.5.${O}: ${MID}/bookvol10.5.${LISP}
-	@ echo si129 making ${OUT}/bookvol10.5.${O} from \
-           ${MID}/bookvol10.5.${LISP}
-	@ (cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/bookvol10.5.${LISP}"' \
-             ':output-file "${OUT}/bookvol10.5.${O}") (${BYE}))'\
-              | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/bookvol10.5.${LISP}"' \
-             ':output-file "${OUT}/bookvol10.5.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<bookvol10.5.lsp (OUT from MID)>>=
-${OUT}/bookvol10.5.${LISP}: ${MID}/bookvol10.5.${LISP}
-	@ echo si130 making ${OUT}/bookvol10.5.${LISP} from \
-            ${MID}/bookvol10.5.${LISP}
-	@cp ${MID}/bookvol10.5.${LISP} ${OUT}/bookvol10.5.${LISP}
-
-@
-<<bookvol10.5.lsp (MID from IN)>>=
-${MID}/bookvol10.5.${LISP}: ${IN}/bookvol10.5.pamphlet
-	@ echo si131 making ${MID}/bookvol10.5.${LISP} from ${IN}/bookvol10.5.pamphlet
-	@ (cd ${MID} ; \
-        echo '(tangle "${IN}/bookvol10.5.pamphlet" "Numerics" "bookvol10.5.${LISP}")'\
-         | ${LISPTANGLE}  1>/dev/null 2>/dev/null)
-
-@
-\subsection{i-intern.lisp}
-<<i-intern.o (OUT from MID)>>=
-${OUT}/i-intern.${O}: ${MID}/i-intern.lisp
-	@ echo si132 making ${OUT}/i-intern.${O} from ${MID}/i-intern.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/i-intern.lisp"' \
-             ':output-file "${OUT}/i-intern.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/i-intern.lisp"' \
-             ':output-file "${OUT}/i-intern.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<i-intern.lisp (MID from IN)>>=
-${MID}/i-intern.lisp: ${IN}/i-intern.lisp.pamphlet
-	@ echo si133 making ${MID}/i-intern.lisp from \
-          ${IN}/i-intern.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/i-intern.lisp.pamphlet" "*" "i-intern.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{i-map.lisp}
-<<i-map.o (OUT from MID)>>=
-${OUT}/i-map.${O}: ${MID}/i-map.lisp
-	@ echo si134 making ${OUT}/i-map.${O} from ${MID}/i-map.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/i-map.lisp"' \
-             ':output-file "${OUT}/i-map.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/i-map.lisp"' \
-             ':output-file "${OUT}/i-map.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<i-map.lisp (MID from IN)>>=
-${MID}/i-map.lisp: ${IN}/i-map.lisp.pamphlet
-	@ echo si135 making ${MID}/i-map.lisp from \
-          ${IN}/i-map.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/i-map.lisp.pamphlet" "*" "i-map.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{i-output.lisp}
-<<i-output.o (OUT from MID)>>=
-${OUT}/i-output.${O}: ${MID}/i-output.lisp
-	@ echo si136 making ${OUT}/i-output.${O} from ${MID}/i-output.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/i-output.lisp"' \
-             ':output-file "${OUT}/i-output.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/i-output.lisp"' \
-             ':output-file "${OUT}/i-output.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<i-output.lisp (MID from IN)>>=
-${MID}/i-output.lisp: ${IN}/i-output.lisp.pamphlet
-	@ echo si137 making ${MID}/i-output.lisp from \
-          ${IN}/i-output.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/i-output.lisp.pamphlet" "*" "i-output.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{i-resolv.lisp}
-<<i-resolv.o (OUT from MID)>>=
-${OUT}/i-resolv.${O}: ${MID}/i-resolv.lisp
-	@ echo si138 making ${OUT}/i-resolv.${O} from ${MID}/i-resolv.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/i-resolv.lisp"' \
-             ':output-file "${OUT}/i-resolv.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/i-resolv.lisp"' \
-             ':output-file "${OUT}/i-resolv.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<i-resolv.lisp (MID from IN)>>=
-${MID}/i-resolv.lisp: ${IN}/i-resolv.lisp.pamphlet
-	@ echo si139 making ${MID}/i-resolv.lisp from \
-          ${IN}/i-resolv.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/i-resolv.lisp.pamphlet" "*" "i-resolv.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{i-spec1.lisp}
-<<i-spec1.o (OUT from MID)>>=
-${OUT}/i-spec1.${O}: ${MID}/i-spec1.lisp
-	@ echo si140 making ${OUT}/i-spec1.${O} from ${MID}/i-spec1.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/i-spec1.lisp"' \
-             ':output-file "${OUT}/i-spec1.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/i-spec1.lisp"' \
-             ':output-file "${OUT}/i-spec1.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<i-spec1.lisp (MID from IN)>>=
-${MID}/i-spec1.lisp: ${IN}/i-spec1.lisp.pamphlet
-	@ echo si141 making ${MID}/i-spec1.lisp from \
-          ${IN}/i-spec1.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/i-spec1.lisp.pamphlet" "*" "i-spec1.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{i-spec2.lisp}
-<<i-spec2.o (OUT from MID)>>=
-${OUT}/i-spec2.${O}: ${MID}/i-spec2.lisp
-	@ echo si142 making ${OUT}/i-spec2.${O} from ${MID}/i-spec2.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/i-spec2.lisp"' \
-             ':output-file "${OUT}/i-spec2.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/i-spec2.lisp"' \
-             ':output-file "${OUT}/i-spec2.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<i-spec2.lisp (MID from IN)>>=
-${MID}/i-spec2.lisp: ${IN}/i-spec2.lisp.pamphlet
-	@ echo si143 making ${MID}/i-spec2.lisp from \
-          ${IN}/i-spec2.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/i-spec2.lisp.pamphlet" "*" "i-spec2.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{i-util.lisp}
-<<i-util.o (OUT from MID)>>=
-${OUT}/i-util.${O}: ${MID}/i-util.lisp
-	@ echo si144 making ${OUT}/i-util.${O} from ${MID}/i-util.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/i-util.lisp"' \
-             ':output-file "${OUT}/i-util.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/i-util.lisp"' \
-             ':output-file "${OUT}/i-util.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<i-util.lisp (MID from IN)>>=
-${MID}/i-util.lisp: ${IN}/i-util.lisp.pamphlet
-	@ echo si145 making ${MID}/i-util.lisp from \
-          ${IN}/i-util.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/i-util.lisp.pamphlet" "*" "i-util.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{info.lisp}
-<<info.o (OUT from MID)>>=
-${OUT}/info.${O}: ${MID}/info.lisp
-	@ echo si146 making ${OUT}/info.${O} from ${MID}/info.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/info.lisp"' \
-             ':output-file "${OUT}/info.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/info.lisp"' \
-             ':output-file "${OUT}/info.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<info.lisp (MID from IN)>>=
-${MID}/info.lisp: ${IN}/info.lisp.pamphlet
-	@ echo si147 making ${MID}/info.lisp from ${IN}/info.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/info.lisp.pamphlet" "*" "info.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{iterator.lisp}
-<<iterator.o (OUT from MID)>>=
-${OUT}/iterator.${O}: ${MID}/iterator.lisp
-	@ echo si148 making ${OUT}/iterator.${O} from ${MID}/iterator.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/iterator.lisp"' \
-             ':output-file "${OUT}/iterator.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/iterator.lisp"' \
-             ':output-file "${OUT}/iterator.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<iterator.lisp (MID from IN)>>=
-${MID}/iterator.lisp: ${IN}/iterator.lisp.pamphlet
-	@ echo si149 making ${MID}/iterator.lisp from \
-           ${IN}/iterator.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/iterator.lisp.pamphlet" "*" "iterator.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{lisplib.lisp}
-<<lisplib.o (OUT from MID)>>=
-${OUT}/lisplib.${O}: ${MID}/lisplib.lisp
-	@ echo si150 making ${OUT}/lisplib.${O} from ${MID}/lisplib.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/lisplib.lisp"' \
-             ':output-file "${OUT}/lisplib.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/lisplib.lisp"' \
-             ':output-file "${OUT}/lisplib.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<lisplib.lisp (MID from IN)>>=
-${MID}/lisplib.lisp: ${IN}/lisplib.lisp.pamphlet
-	@ echo si151 making ${MID}/lisplib.lisp from ${IN}/lisplib.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/lisplib.lisp.pamphlet" "*" "lisplib.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{match.lisp}
-<<match.o (OUT from MID)>>=
-${OUT}/match.${O}: ${MID}/match.lisp
-	@ echo si152 making ${OUT}/match.${O} from ${MID}/match.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/match.lisp"' \
-             ':output-file "${OUT}/match.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/match.lisp"' \
-             ':output-file "${OUT}/match.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<match.lisp (MID from IN)>>=
-${MID}/match.lisp: ${IN}/match.lisp.pamphlet
-	@ echo si153 making ${MID}/match.lisp from ${IN}/match.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/match.lisp.pamphlet" "*" "match.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{msgdb.lisp}
-<<msgdb.o (OUT from MID)>>=
-${OUT}/msgdb.${O}: ${MID}/msgdb.lisp
-	@ echo si154 making ${OUT}/msgdb.${O} from ${MID}/msgdb.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/msgdb.lisp"' \
-             ':output-file "${OUT}/msgdb.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/msgdb.lisp"' \
-             ':output-file "${OUT}/msgdb.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<msgdb.lisp (MID from IN)>>=
-${MID}/msgdb.lisp: ${IN}/msgdb.lisp.pamphlet
-	@ echo si155 making ${MID}/msgdb.lisp from ${IN}/msgdb.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/msgdb.lisp.pamphlet" "*" "msgdb.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{newfort.lisp}
-<<newfort.o (OUT from MID)>>=
-${OUT}/newfort.${O}: ${MID}/newfort.lisp
-	@ echo si156 making ${OUT}/newfort.${O} from ${MID}/newfort.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/newfort.lisp"' \
-             ':output-file "${OUT}/newfort.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/newfort.lisp"' \
-             ':output-file "${OUT}/newfort.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<newfort.lisp (MID from IN)>>=
-${MID}/newfort.lisp: ${IN}/newfort.lisp.pamphlet
-	@ echo si157 making ${MID}/newfort.lisp from ${IN}/newfort.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/newfort.lisp.pamphlet" "*" "newfort.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nruncomp.lisp}
-<<nruncomp.o (OUT from MID)>>=
-${OUT}/nruncomp.${O}: ${MID}/nruncomp.lisp
-	@ echo si158 making ${OUT}/nruncomp.${O} from ${MID}/nruncomp.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/nruncomp.lisp"' \
-             ':output-file "${OUT}/nruncomp.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/nruncomp.lisp"' \
-             ':output-file "${OUT}/nruncomp.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<nruncomp.lisp (MID from IN)>>=
-${MID}/nruncomp.lisp: ${IN}/nruncomp.lisp.pamphlet
-	@ echo si159 making ${MID}/nruncomp.lisp from \
-           ${IN}/nruncomp.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/nruncomp.lisp.pamphlet" "*" "nruncomp.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nrunfast.lisp}
-<<nrunfast.o (OUT from MID)>>=
-${OUT}/nrunfast.${O}: ${MID}/nrunfast.lisp
-	@ echo si160 making ${OUT}/nrunfast.${O} from ${MID}/nrunfast.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/nrunfast.lisp"' \
-             ':output-file "${OUT}/nrunfast.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/nrunfast.lisp"' \
-             ':output-file "${OUT}/nrunfast.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<nrunfast.lisp (MID from IN)>>=
-${MID}/nrunfast.lisp: ${IN}/nrunfast.lisp.pamphlet
-	@ echo si161 making ${MID}/nrunfast.lisp from \
-           ${IN}/nrunfast.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/nrunfast.lisp.pamphlet" "*" "nrunfast.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nrungo.lisp}
-<<nrungo.o (OUT from MID)>>=
-${OUT}/nrungo.${O}: ${MID}/nrungo.lisp
-	@ echo si162 making ${OUT}/nrungo.${O} from ${MID}/nrungo.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/nrungo.lisp"' \
-             ':output-file "${OUT}/nrungo.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/nrungo.lisp"' \
-             ':output-file "${OUT}/nrungo.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<nrungo.lisp (MID from IN)>>=
-${MID}/nrungo.lisp: ${IN}/nrungo.lisp.pamphlet
-	@ echo si163 making ${MID}/nrungo.lisp from ${IN}/nrungo.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/nrungo.lisp.pamphlet" "*" "nrungo.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{nrunopt.lisp}
-<<nrunopt.o (OUT from MID)>>=
-${OUT}/nrunopt.${O}: ${MID}/nrunopt.lisp
-	@ echo si164 making ${OUT}/nrunopt.${O} from ${MID}/nrunopt.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/nrunopt.lisp"' \
-             ':output-file "${OUT}/nrunopt.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/nrunopt.lisp"' \
-             ':output-file "${OUT}/nrunopt.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<nrunopt.lisp (MID from IN)>>=
-${MID}/nrunopt.lisp: ${IN}/nrunopt.lisp.pamphlet
-	@ echo si165 making ${MID}/nrunopt.lisp from ${IN}/nrunopt.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/nrunopt.lisp.pamphlet" "*" "nrunopt.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{regress.lisp}
-<<regress.o (OUT from MID)>>=
-${OUT}/regress.${O}: ${MID}/regress.lisp
-	@ echo si166 making ${OUT}/regress.${O} from ${MID}/regress.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/regress.lisp"' \
-             ':output-file "${OUT}/regress.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/regress.lisp"' \
-             ':output-file "${OUT}/regress.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<regress.lisp (MID from IN)>>=
-${MID}/regress.${LISP}: ${IN}/regress.lisp.pamphlet
-	@ echo si167 making ${MID}/regress.${LISP} from \
-                          ${IN}/regress.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/regress.lisp.pamphlet" "*" "regress.${LISP}")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{rulesets.lisp}
-<<rulesets.o (OUT from MID)>>=
-${OUT}/rulesets.${O}: ${MID}/rulesets.lisp
-	@ echo si168 making ${OUT}/rulesets.${O} from ${MID}/rulesets.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/rulesets.lisp"' \
-             ':output-file "${OUT}/rulesets.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/rulesets.lisp"' \
-             ':output-file "${OUT}/rulesets.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<rulesets.lisp (MID from IN)>>=
-${MID}/rulesets.lisp: ${IN}/rulesets.lisp.pamphlet
-	@ echo si169 making ${MID}/rulesets.lisp from \
-           ${IN}/rulesets.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/rulesets.lisp.pamphlet" "*" "rulesets.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{server.lisp}
-<<server.o (OUT from MID)>>=
-${OUT}/server.${O}: ${MID}/server.lisp
-	@ echo si170 making ${OUT}/server.${O} from ${MID}/server.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/server.lisp"' \
-             ':output-file "${OUT}/server.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/server.lisp"' \
-             ':output-file "${OUT}/server.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<server.lisp (MID from IN)>>=
-${MID}/server.lisp: ${IN}/server.lisp.pamphlet
-	@ echo si171 making ${MID}/server.lisp from ${IN}/server.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/server.lisp.pamphlet" "*" "server.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{simpbool.lisp}
-<<simpbool.o (OUT from MID)>>=
-${OUT}/simpbool.${O}: ${MID}/simpbool.lisp
-	@ echo si172 making ${OUT}/simpbool.${O} from ${MID}/simpbool.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/simpbool.lisp"' \
-             ':output-file "${OUT}/simpbool.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/simpbool.lisp"' \
-             ':output-file "${OUT}/simpbool.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<simpbool.lisp (MID from IN)>>=
-${MID}/simpbool.lisp: ${IN}/simpbool.lisp.pamphlet
-	@ echo si173 making ${MID}/simpbool.lisp from \
-           ${IN}/simpbool.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/simpbool.lisp.pamphlet" "*" "simpbool.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{slam.lisp \cite{30}}
-<<slam.lisp (AUTO from OUT)>>=
-${AUTO}/slam.lisp: ${OUT}/slam.lisp
-	@ echo si174 making ${AUTO}/slam.lisp from ${OUT}/slam.lisp
-	@ cp ${OUT}/slam.lisp ${AUTO}
-
-@
-<<slam.lisp (OUT from MID)>>=
-${OUT}/slam.lisp: ${MID}/slam.lisp
-	@ echo si175 making ${OUT}/slam.lisp from ${MID}/slam.lisp
-	@ rm -f ${OUT}/slam.${O}
-	@ cp ${MID}/slam.lisp ${OUT}/slam.lisp
-
-@
-<<slam.lisp (MID from IN)>>=
-${MID}/slam.lisp: ${IN}/slam.lisp.pamphlet
-	@ echo si176 making ${MID}/slam.lisp \
-                   from ${IN}/slam.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/slam.lisp.pamphlet" "*" "slam.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{template.lisp}
-<<template.o (OUT from MID)>>=
-${OUT}/template.${O}: ${MID}/template.lisp
-	@ echo si177 making ${OUT}/template.${O} from ${MID}/template.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/template.lisp"' \
-             ':output-file "${OUT}/template.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/template.lisp"' \
-             ':output-file "${OUT}/template.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<template.lisp (MID from IN)>>=
-${MID}/template.lisp: ${IN}/template.lisp.pamphlet
-	@ echo si178 making ${MID}/template.lisp from \
-           ${IN}/template.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/template.lisp.pamphlet" "*" "template.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{termrw.lisp}
-<<termrw.o (OUT from MID)>>=
-${OUT}/termrw.${O}: ${MID}/termrw.lisp
-	@ echo si179 making ${OUT}/termrw.${O} from ${MID}/termrw.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/termrw.lisp"' \
-             ':output-file "${OUT}/termrw.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/termrw.lisp"' \
-             ':output-file "${OUT}/termrw.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<termrw.lisp (MID from IN)>>=
-${MID}/termrw.lisp: ${IN}/termrw.lisp.pamphlet
-	@ echo si180 making ${MID}/termrw.lisp from ${IN}/termrw.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/termrw.lisp.pamphlet" "*" "termrw.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{record.lisp}
-<<record.o (OUT from MID)>>=
-${OUT}/record.${O}: ${MID}/record.lisp
-	@ echo si181 making ${OUT}/record.${O} from ${MID}/record.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/record.lisp"' \
-             ':output-file "${OUT}/record.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/record.lisp"' \
-             ':output-file "${OUT}/record.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<record.lisp (MID from IN)>>=
-${MID}/record.lisp: ${IN}/record.lisp.pamphlet
-	@ echo si182 making ${MID}/record.lisp from ${IN}/record.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/record.lisp.pamphlet" "*" "record.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{htcheck.lisp}
-<<htcheck.o (OUT from MID)>>=
-${OUT}/htcheck.${O}: ${MID}/htcheck.lisp
-	@ echo si183 making ${OUT}/htcheck.${O} from ${MID}/htcheck.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/htcheck.lisp"' \
-             ':output-file "${OUT}/htcheck.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/htcheck.lisp"' \
-             ':output-file "${OUT}/htcheck.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<htcheck.lisp (MID from IN)>>=
-${MID}/htcheck.lisp: ${IN}/htcheck.lisp.pamphlet
-	@ echo si184 making ${MID}/htcheck.lisp from ${IN}/htcheck.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/htcheck.lisp.pamphlet" "*" "htcheck.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{br-con.lisp}
-<<br-con.o (AUTO from OUT)>>=
-${AUTO}/br-con.${O}: ${OUT}/br-con.${O}
-	@ echo si185 making ${AUTO}/br-con.${O} from ${OUT}/br-con.${O}
-	@ cp ${OUT}/br-con.${O} ${AUTO}
-
-@
-<<br-con.o (OUT from MID)>>=
-${OUT}/br-con.${O}: ${MID}/br-con.lisp
-	@ echo si186 making ${OUT}/br-con.${O} from ${MID}/br-con.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/br-con.lisp"' \
-             ':output-file "${OUT}/br-con.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/br-con.lisp"' \
-             ':output-file "${OUT}/br-con.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<br-con.lisp (MID from IN)>>=
-${MID}/br-con.lisp: ${IN}/br-con.lisp.pamphlet
-	@ echo si187 making ${MID}/br-con.lisp from ${IN}/br-con.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/br-con.lisp.pamphlet" "*" "br-con.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{topics.lisp}
-<<topics.o (AUTO from OUT)>>=
-${AUTO}/topics.${O}: ${OUT}/topics.${O}
-	@ echo si188 making ${AUTO}/topics.${O} from ${OUT}/topics.${O}
-	@ cp ${OUT}/topics.${O} ${AUTO}
-
-@
-<<topics.o (OUT from MID)>>=
-${OUT}/topics.${O}: ${MID}/topics.lisp
-	@ echo si189 making ${OUT}/topics.${O} from ${MID}/topics.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/topics.lisp"' \
-             ':output-file "${OUT}/topics.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/topics.lisp"' \
-             ':output-file "${OUT}/topics.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<topics.lisp (MID from IN)>>=
-${MID}/topics.lisp: ${IN}/topics.lisp.pamphlet
-	@ echo si190 making ${MID}/topics.lisp from ${IN}/topics.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/topics.lisp.pamphlet" "*" "topics.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{posit.lisp}
-<<posit.o (OUT from MID)>>=
-${OUT}/posit.${O}: ${MID}/posit.lisp
-	@ echo si191 making ${OUT}/posit.${O} from ${MID}/posit.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/posit.lisp"' \
-             ':output-file "${OUT}/posit.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/posit.lisp"' \
-             ':output-file "${OUT}/posit.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<posit.lisp (MID from IN)>>=
-${MID}/posit.lisp: ${IN}/posit.lisp.pamphlet
-	@ echo si192 making ${MID}/posit.lisp from ${IN}/posit.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/posit.lisp.pamphlet" "*" "posit.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{sfsfun-l.lisp}
-<<sfsfun-l.o (OUT from MID)>>=
-${OUT}/sfsfun-l.${O}: ${MID}/sfsfun-l.lisp
-	@ echo si193 making ${OUT}/sfsfun-l.${O} from ${MID}/sfsfun-l.lisp
-	@ if [ -z "${NOISE}" ] ; then \
-	   echo '(progn (compile-file "${MID}/sfsfun-l.lisp"' \
-             ':output-file "${OUT}/sfsfun-l.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn (compile-file "${MID}/sfsfun-l.lisp"' \
-             ':output-file "${OUT}/sfsfun-l.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi
-
-@
-<<sfsfun-l.lisp (MID from IN)>>=
-${MID}/sfsfun-l.lisp: ${IN}/sfsfun-l.lisp.pamphlet
-	@ echo si194 making ${MID}/sfsfun-l.lisp \
-                   from ${IN}/sfsfun-l.lisp.pamphlet
-	@(cd ${MID} ; \
-          echo '(tangle "${IN}/sfsfun-l.lisp.pamphlet" "*" "sfsfun-l.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{sfsfun.lisp}
-<<sfsfun.o (OUT from MID)>>=
-${OUT}/sfsfun.${O}: ${MID}/sfsfun.lisp
-	@ echo si195 making ${OUT}/sfsfun.${O} from ${MID}/sfsfun.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/sfsfun.lisp"' \
-             ':output-file "${OUT}/sfsfun.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/sfsfun.lisp"' \
-             ':output-file "${OUT}/sfsfun.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<sfsfun.lisp (MID from IN)>>=
-${MID}/sfsfun.lisp: ${IN}/sfsfun.lisp.pamphlet
-	@ echo si196 making ${MID}/sfsfun.lisp from ${IN}/sfsfun.lisp.pamphlet
-	@(cd ${MID} ; \
-          echo '(tangle "${IN}/sfsfun.lisp.pamphlet" "*" "sfsfun.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
-
-\subsection{hashcode.lisp}
-<<hashcode.o (OUT from MID)>>=
-${OUT}/hashcode.${O}: ${MID}/hashcode.lisp
-	@ echo si197 making ${OUT}/hashcode.${O} from ${MID}/hashcode.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/hashcode.lisp"' \
-             ':output-file "${OUT}/hashcode.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/hashcode.lisp"' \
-             ':output-file "${OUT}/hashcode.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
+\subsection{debugsys.lisp \cite{14}}
+The {\bf debugsys.lisp} file is used to create a {\bf debugsys} runnable image.
+This image contains almost all of the lisp code that make up the axiom
+interpreter in lisp form. It is useful for deep system debugging but
+otherwise worthless. This file is certain to drift over time as changes
+are made elsewhere to add or remove files. It is assumed that you know
+what you are doing if you change this file or use debugsys.
 
-@
-<<hashcode.lisp (MID from IN)>>=
-${MID}/hashcode.lisp: ${IN}/hashcode.lisp.pamphlet
-	@ echo si198 making ${MID}/hashcode.lisp from \
-           ${IN}/hashcode.lisp.pamphlet
+This file is basically the same as the one created during the build of
+interpsys. See the echo lines in the {\bf SAVESYS} block above. These
+are echoed into a temporary file which gets loaded into the lisp image.
+We simply captured that temporary file, replaced the .o files with .lisp
+files (or .lsp or .clisp) and saved it here.
+<<debugsys.lisp (MID from IN)>>=
+${MID}/debugsys.lisp: ${IN}/debugsys.lisp.pamphlet
+	@ echo si011 making ${MID}/debugsys.lisp from ${IN}/debugsys.lisp.pamphlet
 	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/hashcode.lisp.pamphlet" "*" "hashcode.lisp")' \
+          echo '(tangle "${IN}/debugsys.lisp.pamphlet" "*" "debugsys.lisp")' \
         | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
 
 @
 
-\subsection{interop.lisp}
-<<interop.o (OUT from MID)>>=
-${OUT}/interop.${O}: ${MID}/interop.lisp
-	@ echo si199 making ${OUT}/interop.${O} from ${MID}/interop.lisp
-	@ ( cd ${MID} ; \
-	  if [ -z "${NOISE}" ] ; then \
-	   echo '(progn  (compile-file "${MID}/interop.lisp"' \
-             ':output-file "${OUT}/interop.${O}") (${BYE}))' | ${DEPSYS} ; \
-	  else \
-	   echo '(progn  (compile-file "${MID}/interop.lisp"' \
-             ':output-file "${OUT}/interop.${O}") (${BYE}))' | ${DEPSYS} \
-              1>/dev/null 2>/dev/null ; \
-	  fi )
-
-@
-<<interop.lisp (MID from IN)>>=
-${MID}/interop.lisp: ${IN}/interop.lisp.pamphlet
-	@ echo si200 making ${MID}/interop.lisp from ${IN}/interop.lisp.pamphlet
-	@ (cd ${MID} ; \
-          echo '(tangle "${IN}/interop.lisp.pamphlet" "*" "interop.lisp")' \
-        | ${OBJ}/${SYS}/bin/lisp  1>/dev/null 2>/dev/null)
-
-@
 
-\section{The databases}
-\subsection{autoload dependencies}
-If you are adding a file which is to be autoloaded the following step
-information is useful. There are 2 cases:
-\begin{enumerate}
-\item adding files to currently autoloaded parts\\
-(as of 2/92: browser old parser and old compiler)
-\item adding new files
-\begin{itemize}
-\item case 1:
-\begin{itemize}
 \item [(a)] you have to add the file to the list of files currently there
 (e.g. see BROBJS above)
 \item [(b)] add an autolaod rule
@@ -2935,23 +783,36 @@ clean:
 
 <<debugsys.lisp (MID from IN)>>
 
-<<bookvol5.lsp (OUT from MID)>>
-<<bookvol5.lsp (MID from IN)>>
+<<warm.data.stanza>>
 
-<<bookvol9.lsp (OUT from MID)>>
-<<bookvol9.lsp (MID from IN)>>
+${MID}/bookvol5.${LISP}: ${IN}/bookvol5.pamphlet
+	@ echo si125 making ${MID}/bookvol5.${LISP} from ${IN}/bookvol5.pamphlet
+	@ (cd ${MID} ; \
+  echo '(tangle "${IN}/bookvol5.pamphlet" "Interpreter" "bookvol5.${LISP}")' \
+        | ${OBJ}/${SYS}/bin/lisp )  1>/dev/null 2>/dev/null
 
-<<bookvol10.5.lsp (OUT from MID)>>
-<<bookvol10.5.lsp (MID from IN)>>
+${MID}/bookvol9.${LISP}: ${IN}/bookvol9.pamphlet
+	@ echo si128 making ${MID}/bookvol9.${LISP} from ${IN}/bookvol9.pamphlet
+	@ (cd ${MID} ; \
+     echo '(tangle "${IN}/bookvol9.pamphlet" "Compiler" "bookvol9.${LISP}")' \
+        | ${OBJ}/${SYS}/bin/lisp ) 1>/dev/null 2>/dev/null
 
-<<warm.data.stanza>>
+${MID}/bookvol10.5.${LISP}: ${IN}/bookvol10.5.pamphlet
+	@ echo si131 making ${MID}/bookvol10.5.${LISP} from ${IN}/bookvol10.5.pamphlet
+	@ (cd ${MID} ; \
+        echo '(tangle "${IN}/bookvol10.5.pamphlet" "Numerics" "bookvol10.5.${LISP}")'\
+         | ${LISPTANGLE} ) 1>/dev/null 2>/dev/null
 
 ${MID}/http.lisp: ${IN}/http.lisp
 	@ echo si110 making ${MID}/http.lisp from ${IN}/http.lisp
 	@( cp ${IN}/http.lisp ${MID}/http.lisp )
 
+${OUT}/%.${LISP}: ${MID}/%.${LISP}
+	@ echo siOUTfromMID2 making ${OUT}/$*.${LISP} from ${MID}/$*.${LISP}
+	@cp ${MID}/$*.${LISP} ${OUT}/$*.${LISP}
+
 ${OUT}/%.${LISP}: ${MID}/%.lisp
-	@ echo siOUTfromMID making ${OUT}/$*.lisp from ${MID}/$*.lisp
+	@ echo siOUTfromMID1 making ${OUT}/$*.lisp from ${MID}/$*.lisp
 	@cp ${MID}/$*.lisp ${OUT}/$*.${LISP}
 
 ${OUT}/%.lisp: ${IN}/%.lisp.pamphlet
